---
date: 2020-11-13
id: b7bd3cef-b42a-4f96-8e4c-b0c75c1e86e3
title: Object.assign
---

# Description

`Object.assign` copies all properties from one
[object](20200826201605-objects) into another

# Syntax

``` javascript
let objectA = { a: 1, b: 2 };
Object.assign(objectA, { b: 3, c: 4 });
console.log(objectA);
```
